| PDM-IR SDK 3.0.12 PDM-IR_SDK

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
MODULESTATUS Struct Reference
PDM-IR_SDK custom Types

`#include <PDM-IR_SDK.h>`

## Data Fields
Temperature_s | Temperature
STATUSBITS | StatusBitModule
STATUSBITS | StatusBitTEC
STATUSBITS | StatusBitVpol
STATUSBITS | StatusBitAmpi
STATUSBITS | StatusBitGate
STATUSBITS | StatusBitGateForm
STATUSBITS | StatusBitHO
STATUSBITS | StatusBitTrigger
STATUSBITS | StatusBitPLL
STATUSBITS | StatusBitOutputs
STATUSBITS | StatusBitDelayTriggerIn
STATUSBITS | StatusBitDelayTriggerInternal
STATUSBITS | StatusBitDelayAuxIn
STATUSBITS | StatusBitDelayGate
STATUSBITS | StatusBitDelayNimOut
STATUSBITS | StatusBitDelayTtlOut
STATUSBITS | StatusBitCounters
UINT32 | ErrorStatus

## Detailed Description

Module Status Structure.

Structure containing the status of the PDM-IR.

## Field Documentation

STATUSBITS StatusBitGateForm

Indicates the GateForm status.

Valid values are STATUSBITS_ToBeUpdated and STATUSBITS_Updated

STATUSBITS StatusBitHO

Indicates the hold Off status.

Valid values are STATUSBITS_ToBeUpdated and STATUSBITS_Updated

STATUSBITS StatusBitTrigger

Indicates the GateForm status.

Valid values are STATUSBITS_ToBeUpdated and STATUSBITS_Updated

STATUSBITS StatusBitPLL

Indicates the GateForm status.

Valid values are STATUSBITS_ToBeUpdated and STATUSBITS_Updated

STATUSBITS StatusBitOutputs

Indicates the Outputs status.

Valid values are STATUSBITS_ToBeUpdated and STATUSBITS_Updated

STATUSBITS StatusBitDelayTriggerIn

Indicates if the delay in the Trigger in path is set.

Valid values are STATUSBITS_ToBeUpdated and STATUSBITS_Updated

STATUSBITS StatusBitDelayTriggerInternal

Indicates if the delay in the Internal Trigger path is set.

Valid values are STATUSBITS_ToBeUpdated and STATUSBITS_Updated

STATUSBITS StatusBitDelayAuxIn

Indicates if the delay in the Aux In path is set.

Valid values are STATUSBITS_ToBeUpdated and STATUSBITS_Updated

STATUSBITS StatusBitDelayGate

Indicates if the delay in the Gate path is set.

Valid values are STATUSBITS_ToBeUpdated and STATUSBITS_Updated

STATUSBITS StatusBitDelayNimOut

Indicates if the delay in the NIM OUT path is set.

Valid values are STATUSBITS_ToBeUpdated and STATUSBITS_Updated

STATUSBITS StatusBitDelayTtlOut

Indicates if the delay in the TTL OUT path is set.

Valid values are STATUSBITS_ToBeUpdated and STATUSBITS_Updated

STATUSBITS StatusBitCounters

Indicates the Outputs status.

UINT32 ErrorStatus

Indicates if there are some error in the module.

0 = no errors.

The documentation for this struct was generated from the following file:

- PDM-IR_SDK.h